/*
 * Copyright (c) 1993 Addison-Wesley Publishing Company.
 * All rights reserved.  This source code is provided
 * for its instructional value, and is not guaranteed
 * for any particular purpose.
 */
#include <rpc/rpc.h>
#include <stdio.h>
#include <stdlib.h>
#include "machtype.h"

void
main(int argc, char *argv[])
{
	enum clnt_stat status;
	char *machtype;

	if (argc != 2) {
		fprintf(stderr, "usage: %s hostname\n", argv[0]);
		exit(1);
	}
	machtype = NULL;

	/*
	 * Make the remote procedure call.
	 */
	status = rpc_call(argv[1], MACH_PROG, MACH_VER,
	  MACH_PROC, xdr_void, NULL, xdr_machtype, &machtype,
	  NULL);
	if (status == RPC_SUCCESS) {
		/*
		 * RPC succeeded.  Print the string returned.
		 */
		printf("machine type is %s\n", machtype);
		exit(0);
	} else {
		/*
		 * RPC failed.  Print an error message.
		 */
		fprintf(stderr, "%s: rpc failed: %s\n", argv[0],
		  clnt_sperrno(status));
		exit(1);
	}
}
